> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List vulnerability remediations

> List all vulnerability remediations based on selected filters.



## OpenAPI

````yaml /reference/manage-vanta.json get /vulnerability-remediations
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /vulnerability-remediations:
    get:
      tags:
        - Vulnerability Remediations
      summary: List vulnerability remediations
      description: List all vulnerability remediations based on selected filters.
      operationId: ListVulnerabilityRemediations
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: >-
            Filter vulnerability remediations based on a specific scanner
            integration.
          in: query
          name: integrationId
          required: false
          schema:
            type: string
        - description: |-
            Filter vulnerability remediations by severity.
            Possible values: CRITICAL, HIGH, MEDIUM, LOW.
          in: query
          name: severity
          required: false
          schema:
            $ref: '#/components/schemas/ExternalFindingSeverity'
        - description: Filter vulnerability remediations by remediation status.
          in: query
          name: isRemediatedOnTime
          required: false
          schema:
            type: boolean
        - description: >-
            Filter vulnerability remediations that occurred after a specific
            timestamp.
          in: query
          name: remediatedAfterDate
          required: false
          schema:
            type: string
            format: date-time
        - description: >-
            Filter vulnerability remediations that occurred before a specific
            timestamp.
          in: query
          name: remediatedBeforeDate
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_VulnerabilityRemediation_
              examples:
                Example 1:
                  value:
                    results:
                      pageInfo:
                        hasNextPage: true
                        hasPreviousPage: false
                        startCursor: YXJyYXljb25uZWN0aW9uOjA=
                        endCursor: YXJyYXljb25uZWN0aW9uOjE=
                      data:
                        - id: a2f7e1b9d0c3f4e5a6c7b8d9
                          vulnerabilityId: a2f7e1b9d0c3f4e5a6c7b8d8
                          vulnerableAssetId: a2f7e1b9d0c3f4e5a6c7b8d7
                          severity: critical
                          detectedDate: '2021-01-01T00:00:00.000Z'
                          slaDeadlineDate: '2021-03-01T00:00:00.000Z'
                          remediationDate: '2021-02-01T00:00:00.000Z'
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    ExternalFindingSeverity:
      description: >-
        ExternalFindingSeverity describes the severity of an external finding
        (Vulnerability or Security Alert)
      enum:
        - CRITICAL
        - HIGH
        - LOW
        - MEDIUM
      type: string
    PaginatedResponse_VulnerabilityRemediation_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/VulnerabilityRemediation'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    VulnerabilityRemediation:
      properties:
        id:
          type: string
          description: Unique identifier for the remediation.
        vulnerabilityId:
          type: string
          description: Unique identifier for the vulnerability that the remediation is for.
        vulnerableAssetId:
          type: string
          description: >-
            Unique identifier for the vulnerable asset that the remediation is
            for.
        severity:
          type: string
          description: Severity of the vulnerability.
        detectedDate:
          type: string
          format: date-time
          nullable: true
          description: Date when the vulnerability was first detected.
        slaDeadlineDate:
          type: string
          format: date-time
          nullable: true
          description: Date when the vulnerability should be remediated by.
        remediationDate:
          type: string
          format: date-time
          nullable: true
          description: Date when the vulnerability was remediated.
      required:
        - id
        - vulnerabilityId
        - vulnerableAssetId
        - severity
        - detectedDate
        - slaDeadlineDate
        - remediationDate
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````